---

 25-akpm/fs/autofs4/inode.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletion(-)

diff -puN fs/autofs4/inode.c~2-autofs4-2.6.4-fill_super-20040405 fs/autofs4/inode.c
--- 25/fs/autofs4/inode.c~2-autofs4-2.6.4-fill_super-20040405	Tue Apr  6 15:50:26 2004
+++ 25-akpm/fs/autofs4/inode.c	Tue Apr  6 15:50:26 2004
@@ -187,6 +187,7 @@ int autofs4_fill_super(struct super_bloc
 	struct file * pipe;
 	int pipefd;
 	struct autofs_sb_info *sbi;
+	struct autofs_info *ino;
 	int minproto, maxproto;
 
 	sbi = (struct autofs_sb_info *) kmalloc(sizeof(*sbi), GFP_KERNEL);
@@ -212,7 +213,11 @@ int autofs4_fill_super(struct super_bloc
 	/*
 	 * Get the root inode and dentry, but defer checking for errors.
 	 */
-	root_inode = autofs4_get_inode(s, autofs4_mkroot(sbi));
+	ino = autofs4_mkroot(sbi);
+	if (!ino)
+		goto fail_free;
+	root_inode = autofs4_get_inode(s, ino);
+	kfree(ino);
 	if (!root_inode)
 		goto fail_free;
 

_
